BSON_DECIMAL128_FROM_STRING(3)

SYNOPSIS

            bool
            bson_decimal128_from_string (const char *string, bson_decimal128_t *dec);

PARAMETERS

    •   string: A string containing ASCII encoded Decimal128.

    •   dec: A bson_decimal128_t <>.

DESCRIPTION

Parses the string containing ascii encoded Decimal128 and initialize the bytes in dec. See the Decimal128 specification <https://github.com/mongodb/specifications/blob/master/source/bson-decimal128/decimal128.md> for the exact string format.

RETURNS

Returns true if valid Decimal128 string was provided, otherwise false and dec will be set to NaN.

EXAMPLE

            bson_decimal128_t dec;
            bson_decimal128_from_string ("1.00", &dec);

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.